# Note this is NOT a relocatable thing :)
%define name bonobo
%define version	0.9
%define prefix %{_prefix}

Name: %{name}
Summary: Library for compound documents in GNOME
Version: %{version}
Release: 1mdk
Copyright: GPL
Group: System/Libraries
Source: %{name}-%{version}.tar.bz2
Url: http://www.gnome.org/
Docdir: %{prefix}/doc
BuildRoot: %{_tmppath}/%{name}-buildroot
PreReq: grep

%description
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

%package devel
Summary: Libraries and include files for the Bonobo document model
Group: Development/C
Requires: %{name} = %{version}

%description devel
This package provides the necessary development libraries and include
files to allow you to develop programs using the Bonobo document model.

%prep
%setup -q

%build
%ifarch alpha
  MYARCH_FLAGS="--host=alpha-redhat-linux"
%endif
CFLAGS="$RPM_OPT_FLAGS" ./configure --quiet $MYARCH_FLAGS --prefix=%{prefix} \
	--sysconfdir=/etc

if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}
mkdir -p $RPM_BUILD_ROOT/etc

make prefix=$RPM_BUILD_ROOT%{prefix} sysconfdir=$RPM_BUILD_ROOT/etc install


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
if ! grep %{prefix}/lib /etc/ld.so.conf > /dev/null ; then
  echo "%{prefix}/lib" >> /etc/ld.so.conf
fi
  
/sbin/ldconfig
  
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README
/etc/CORBA/servers/*
%{prefix}/lib/lib*.so.*
%{prefix}/share/locale/*/LC_MESSAGES/*

%files devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/lib/lib*.so
%{prefix}/lib/*Conf.sh
%{prefix}/lib/*.a
%{prefix}/include/bonobo
%{prefix}/share/idl/*.idl


%changelog
* Sat Apr 15 2000 DindinX <odin@mandrakesoft.com> 0.9-1mdk
- New version (previous one was really too old and of no use).

* Thu Apr 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5-4mdk
- new groups
- dirty fix to install the ./idl subdir

* Wed Mar  8 2000 Pixel <pixel@mandrakesoft.com> 0.5-3mdk
- add prereq grep

* Wed Nov 03 1999 John Buswell <johnb@mandrakesoft.com>
- Build Release

* Sat Oct 30 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- 0.5

* Tue Aug 05 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- adapted to Mandrake
- included translations

* Sun Aug 1 1999 Gregory McLean <gregm@comstar.net>
- Some updates. sysconfdir stuff, quiet down the prep/configure stage.

* Sat May 1 1999 Erik Walthinsen <omega@cse.ogi.edu>
- created spec file
